Subject: Themes in Emacs 29
From: Ivan Grishaev <[email-masked]>
To: [email-masked]
Date: Tue, 15 Aug 2023 15:43:06 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Emacs Team!

I'm not sure if I've chosen the right channel to ask about my problem; I hope you would gently propose the correct address in case of my mistake.

I've updated Emacs to version 29 and now see a warning message triggered by the following expression in my config:

(load-theme 'light-blue t)

I have several questions on that:

- why would deprecate a theme that has worked for years (decades maybe)? 
- is there is a modern version of this theme which is not deprecated?
- does it mean the Light Blue theme will be gone in the next release?
- if not, how can I turn off that warning? I don't want to see it every time my Emacs starts.

I don't want my text to sound aggressive; I just feel upset by the fact the things that have been working great are breaking now. Is it possible to keep the Light Blue theme along and not remove it?

Thank you,
Ivan